
(* Try to explain why a constraint is not satisfiable.  It can be due
   to:

   - a pure Boolean reason, in which case we provide a (minimal)
   expression representing the list of monomes that makes it false);
   - Or there do exist Boolean solution, but there do not hold to
   satisfiable numeric constraint, in which case we provide an
   expression representing the list of monomes that makes its true *)

(* [get_info bdd bdd1 (bdd2,e2)] tries to explain as concisely as
   possible why bdd is false

   hyp: bdd=bdd1^bdd2=false ; bdd2=to_bdd(e2).
*)
val get_info : Bdd.t -> Bdd.t ->  (Expr.t * Bdd.t) -> Failure.info
